package com.casic.br.model;

import java.util.List;

public class OtherDeviceListModel {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private List<RowsModel> rows;
        private int total;

        public List<RowsModel> getRows() {
            return rows;
        }

        public void setRows(List<RowsModel> rows) {
            this.rows = rows;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public static class RowsModel {
            private String brandCode;
            private String brandName;
            private String createTime;
            private int deviceActive;
            private String deviceActiveTime;
            private String deviceAddress;
            private int deviceBindUser;
            private String deviceCoreParts;
            private String deviceHardwareVersion;
            private String deviceId;
            private String deviceIp;
            private String deviceMac;
            private String deviceName;
            private String deviceSoftwareVersion;
            private int deviceStatus;
            private String id;
            private int iotDevice;
            private String picUri;
            private String produceDate;
            private String productCode;
            private String productName;
            private String snCode;
            private String supplierId;
            private String updateTime;

            public String getBrandCode() {
                return brandCode;
            }

            public void setBrandCode(String brandCode) {
                this.brandCode = brandCode;
            }

            public String getBrandName() {
                return brandName;
            }

            public void setBrandName(String brandName) {
                this.brandName = brandName;
            }

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public int getDeviceActive() {
                return deviceActive;
            }

            public void setDeviceActive(int deviceActive) {
                this.deviceActive = deviceActive;
            }

            public String getDeviceActiveTime() {
                return deviceActiveTime;
            }

            public void setDeviceActiveTime(String deviceActiveTime) {
                this.deviceActiveTime = deviceActiveTime;
            }

            public String getDeviceAddress() {
                return deviceAddress;
            }

            public void setDeviceAddress(String deviceAddress) {
                this.deviceAddress = deviceAddress;
            }

            public int getDeviceBindUser() {
                return deviceBindUser;
            }

            public void setDeviceBindUser(int deviceBindUser) {
                this.deviceBindUser = deviceBindUser;
            }

            public String getDeviceCoreParts() {
                return deviceCoreParts;
            }

            public void setDeviceCoreParts(String deviceCoreParts) {
                this.deviceCoreParts = deviceCoreParts;
            }

            public String getDeviceHardwareVersion() {
                return deviceHardwareVersion;
            }

            public void setDeviceHardwareVersion(String deviceHardwareVersion) {
                this.deviceHardwareVersion = deviceHardwareVersion;
            }

            public String getDeviceId() {
                return deviceId;
            }

            public void setDeviceId(String deviceId) {
                this.deviceId = deviceId;
            }

            public String getDeviceIp() {
                return deviceIp;
            }

            public void setDeviceIp(String deviceIp) {
                this.deviceIp = deviceIp;
            }

            public String getDeviceMac() {
                return deviceMac;
            }

            public void setDeviceMac(String deviceMac) {
                this.deviceMac = deviceMac;
            }

            public String getDeviceName() {
                return deviceName;
            }

            public void setDeviceName(String deviceName) {
                this.deviceName = deviceName;
            }

            public String getDeviceSoftwareVersion() {
                return deviceSoftwareVersion;
            }

            public void setDeviceSoftwareVersion(String deviceSoftwareVersion) {
                this.deviceSoftwareVersion = deviceSoftwareVersion;
            }

            public int getDeviceStatus() {
                return deviceStatus;
            }

            public void setDeviceStatus(int deviceStatus) {
                this.deviceStatus = deviceStatus;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public int getIotDevice() {
                return iotDevice;
            }

            public void setIotDevice(int iotDevice) {
                this.iotDevice = iotDevice;
            }

            public String getPicUri() {
                return picUri;
            }

            public void setPicUri(String picUri) {
                this.picUri = picUri;
            }

            public String getProduceDate() {
                return produceDate;
            }

            public void setProduceDate(String produceDate) {
                this.produceDate = produceDate;
            }

            public String getProductCode() {
                return productCode;
            }

            public void setProductCode(String productCode) {
                this.productCode = productCode;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public String getSnCode() {
                return snCode;
            }

            public void setSnCode(String snCode) {
                this.snCode = snCode;
            }

            public String getSupplierId() {
                return supplierId;
            }

            public void setSupplierId(String supplierId) {
                this.supplierId = supplierId;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }
        }
    }
}
